--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: shorter
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: A parser that tries all given alternative parsers and picks the one with the shortest match.
full_name: RParsec::Parsers#shortest
is_singleton: false
name: shortest
params: (*parsers)
visibility: public
